Retrieve a patient's diagnostic results

Last updated: Sep 11, 2025
PRODUCT OWNER
HEALTH TECH VENDOR

You can use this API action to access a provider's findings or interpretations of a diagnostic procedure, as documented by a specific organization.

Use cases

This API action may be a good fit for your organization if you perform any of these use cases:

  • Track the completion of a diagnostic procedure for a patient.
  • Review documents with a provider’s interpretation of a diagnostic procedure (e.g., interpretation of an MRI).
  • Provide access to one or more result documents on a mobile app for users.
  • Review interpretation results of a diagnostic procedure for billing or coding purposes.
  • Review laboratory data or imaging results.
  • Recommend a course of treatment based on test results.
Prerequisite: Having a patient identifier

To use this API action, you must know the patient identifier. If you don’t have one, search for a patient with demographics to locate an appropriate identifier first.

The returned data fields may be free text or discrete data/images.

Supported systems

You can use this API action with the Redox FHIR® API.

Talk to a Redoxer

It’s also possible to use the Redox Data Model API for this API action. Talk to a Redoxer to learn about your options.

Your connection's system can return results with their own FHIR® or query-based API. 

Using data on demand

Your connection's system may not support a query-based data exchange, but they may still be willing to provide results with a push-based method.

However, we understand that you may not want to store all that data. Maybe you don't need all the possible results and just want to query for what you want when you need it. If so, you can use this API action via our data on demand service, which stores the connection's data so that you can query from Redox "on demand." Learn about data on demand.

Things you need to know

What's next?

Does this API action seem like a good fit for your unique workflow? Let your Technical Account Manager know! To start development, download the resource schema noted in the related action step. Then decide which data elements you need.

If you’re new to Redox, use the Quickstart guide to dive in. If you’re not engaged with our sales team yet, talk to a Redoxer to get started.

Action steps

Prerequisites

The following actions must be completed before attempting the steps below.

Steps
  • 1
    Retrieve a patient’s diagnostic report
    optional

This table has notes about how to use parameters for this API action specifically, but it's not exhaustive. Refer to the DiagnosticReport schema for more details.

Query parameter

Required

Notes

patient.identifier

Y

You must include at least one identifier for the patient that the EHR system uses.

encounter

N

If the diagnostic report is the result of a patient visit, then you can include the encounter ID to locate the correct document.

order

N

If the diagnostic report is the result of an order, then you can include the order ID to locate the correct document.

date

N

This is the date and time of the diagnostic report.

resultsInterpreter

N

This is the provider or healthcare organization that offered commentary or explanation for the patient's diagnostic results. This may be a different organization than the one that produced the diagnostic test(s) and result(s).

Your search returns a list of potential matches with attachments or references to additional resources.

DiagnosticReport/_search
Query
bash
1
curl 'https://api.redoxengine.com/fhir/R4/redox-fhir-sandbox/Development/DiagnosticReport/_search' \
2
--request POST \
3
--header 'Authorization: Bearer ${API_TOKEN}' \
4
--header 'Content-Type: application/x-www-form-urlencoded' \
5
--data-urlencode 'subject=Patient/81c2f5eb-f99f-40c4-b504-59483e6148d7'
Response
json
1
{
2
"id": "f64603c1-ee7c-4eff-8759-9e707d93d12a",
3
"type": "searchset",
4
"entry": [
5
{
6
"search": {
7
"mode": "match",
8
"score": 1
9
},
10
"resource": {
11
"id": "27894d07-e072-4969-ab7c-12f175be32c2",
12
"code": {
13
"text": "First trimester maternal screen with nuchal translucency panel",
14
"coding": [
15
{
16
"code": "49086-2"
17
}
18
]
19
},
20
"meta": {
21
"lastUpdated": "2022-10-03T20:10:27.555Z"
22
},
23
"issued": "2015-05-06T06:00:58.872Z",
24
"result": [
25
{
26
"reference": "Observation/649503a3-dcce-43be-9bb8-482e56d0a166"
27
},
28
{
29
"reference": "Observation/3673e6ea-d644-4bf8-ae8e-0d7072fb65fd"
30
}
31
],
32
"status": "final",
33
"subject": {
34
"reference": "Patient/81c2f5eb-f99f-40c4-b504-59483e6148d7"
35
},
36
"category": {
37
"coding": [
38
{
39
"code": "LAB",
40
"system": "http://hl7.org/fhir/v2/0074"
41
}
42
]
43
},
44
"identifier": [
45
{
46
"value": "157968301",
47
"system": "urn:redox:redox-fhir-sandbox:OrderID",
48
"extension": [
49
{
50
"url": "https://fhir.redoxengine.com/StructureDefinition/identifier-origin",
51
"valueString": "RedoxAPI"
52
}
53
]
54
}
55
],
56
"resourceType": "DiagnosticReport",
57
"effectiveDateTime": "2015-05-06T06:00:58.872Z"
58
}
59
}
60
],
61
"total": 1,
62
"resourceType": "Bundle"
63
}

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.